##
##  pdf2htmlex.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pdf2htmlex
Summary:      PDF to HTML Converter
URL:          http://coolwanglu.github.io/pdf2htmlEX/
Vendor:       Lu Wang
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      GPL
Version:      0.14.6
Release:      20150828

#   package options
%option       with_svg  no

#   list of sources
Source0:      https://github.com/coolwanglu/pdf2htmlEX/archive/v%{version}.tar.gz
Patch0:       pdf2htmlex.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, cmake, gcc, gcc::with_cxx = yes, pkgconfig, java, JAVA-JDK
PreReq:       OpenPKG, openpkg >= 20160101, ttfautohint
BuildPreReq:  poppler, fontforge, libspiro, cairo, freetype
PreReq:       poppler, fontforge, libspiro, cairo, freetype
%if "%{with_svg}" == "yes"
BuildPreReq:  cairo::with_svg = yes
PreReq:       cairo::with_svg = yes
%endif

%description
    pdf2htmlEX renders PDF files in HTML, utilizing modern Web
    technologies, aims to provide an accuracy rendering, while keeping
    optimized for Web display. Text, fonts and formats are natively
    preserved in HTML, math formulas, figures and images are also
    supported.

%track
    prog pdf2htmlex = {
        version   = %{version}
        url       = https://github.com/coolwanglu/pdf2htmlEX/releases
        regex     = v(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n pdf2htmlEX-%{version}
    %patch -p0

%build
    cmake \
        -Wno-dev \
        -DCMAKE_BUILD_TYPE="Release" \
        -DCMAKE_C_COMPILER="%{l_cc}" \
        -DCMAKE_C_FLAGS="%{l_cflags -O} -pthread %{l_cppflags} `pkg-config  glib-2.0 --cflags-only-I`" \
        -DCMAKE_CXX_COMPILER="%{l_cxx}" \
        -DCMAKE_CXX_FLAGS="%{l_cxxflags -O} -pthread %{l_cppflags} `pkg-config  glib-2.0 --cflags-only-I`" \
        -DCMAKE_EXE_LINKER_FLAGS="%{l_ldflags}" \
        -DCMAKE_INSTALL_PREFIX="%{l_prefix}" \
        -DPOPPLER_INCLUDE_DIRS="%{l_prefix}/include/poppler" \
        -DPOPPLER_LIBRARY_DIRS="%{l_prefix}/lib" \
        -DPOPPLER_LIBRARIES="`pkg-config poppler --libs`" \
        -DCAIRO_INCLUDE_DIRS="%{l_prefix}/include/cairo" \
        -DCAIRO_LIBRARY_DIRS="%{l_prefix}/lib" \
        -DFREETYPE_INCLUDE_DIRS="%{l_prefix}/include/freetype" \
        -DFREETYPE_LIBRARY_DIRS="%{l_prefix}/lib" \
        -DFONTFORGE_INCLUDE_DIRS="%{l_prefix}/include/fontforge" \
        -DFONTFORGE_LIBRARY_DIRS="%{l_prefix}/lib" \
        -DFONTFORGE_LIBRARIES="`pkg-config libfontforge libxml-2.0 gio-2.0 --libs`" \
%if "%{with_svg}" == "yes"
        -DENABLE_SVG=ON \
%else
        -DENABLE_SVG=OFF \
%endif
        .
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

